import request from '@/utils/request'
import Qs from 'qs';

/**
 * 加班相关
 * @param params
 */

//提交加班申请
export function submitWorkOver(params) {
	return request({
		url: '/mobile/workOver/submitWorkOver',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//加班申请列表
export function pageList(params) {
	return request({
		url: '/mobile/workOver/workOverList',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//加班申请详情
export function workOverDetail(id) {
	return request({
		url: '/mobile/workOver/workOverDetail',
		data: Qs.stringify({
			id: id
		}),
		method: 'post',
	})
}

//加班申请审核列表
export function verifyList(params) {
	return request({
		url: '/mobile/workOver/workOverApprovalList',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//加班申请审核
export function approvalWorkOver(params) {
	return request({
		url: '/mobile/workOver/approvalWorkOver',
		data: Qs.stringify(params),
		method: 'post',
	})
}
